ResultParameters Class

class NXOpen.CAE.ResultParameters

Bases: NXOpen.TaggedObject

This class is worked as a packet of information that can be either be used to change result state or pass around for information exchange between two NXOpen.CAE.ResultAccess objects.

<br/>Use NXOpen.CAE.ResultManager to create an NXOpen.CAE.ResultParameters

<br/>You can modifiy these values but validation of correctness will only be perfomed when this object is set to a NXOpen.CAE.ResultAccess object

To obtain an instance of this class use NXOpen.Session.ResultManager().

New in version NX6.0.2.

Properties

Property Description
Tag Returns the Tag for this object.

Methods

Method Description
AskSectionPlyLayer Ask section, ply and layer
DisplayMidnodeValue This is display only command.
GetAbsoluteValue Ask whether all values are absolute values
GetAveragingCriteria Ask averaging criteria.
GetAxiSymmetricParameters Get Axi Symmetric Parameters type
GetBeamFilletRadius Return the fillet radius
GetBeamFillets Return the fillets flag
GetBeamResultsInLocalCoordinateSystem Identifies whether beam results are presented in local coordinate system (if true) or in the same coordinate system as the rest of the model
GetCalculateBeamStrResults Ask if beam stresses and strains are calculated from element forces and section geometry
GetComplexCriterion If result is complex it returns which component is set(like real or imaginary)
GetComputationType Get computing type.
GetComputeOnVisible Ask whether elements which are not visible are to be considerd for Averaging, Summing, Gap/Discontinuity calculations
GetConvertedDBref Ask the converted DB Reference value
GetCoordinateSystem Ask result coordinate system
GetCyclicSymmetricParameters Get Cyclic Symmetric Parameters type
GetDBScaling Ask whether dB Scaling is on or not
GetDBreference Ask the dB Reference value
GetDBscale Ask the dB Scale value
GetDbSettings Gets the dBSettings object required for dB Scaling
GetDiscontinuityMethod Ask discontinuity method
GetElementValueCriterion Ask how element the result is defined.
GetExcludeElementsNotVisible Ask whether elements which are not visible are consider for summation
GetGenericResultType Ask Result type
GetIsReferenceNode Ask if the reference node will be used for result
GetIteration Ask Current iteration number This method has been deprecated.
GetLoadcase Ask Current loadcase number This method has been deprecated.
GetPhaseAngle Ask phase angle.
GetReferenceNodeLabel Returns the node label which identifies the reference node used when plotting the result
GetResultBeamSection Ask section where beam results are defined
GetResultComponent Ask result component
GetResultDataLocation Ask FE entity where the result is defined This method has been deprecated.
GetResultDataQuantity Ask result type This method has been deprecated.
GetResultDataSection Ask section of a FE entity where the result is defined This method has been deprecated.
GetResultShellSection Ask section where shell results are defined
GetResultType Ask Result type This method has been deprecated.
GetRotationAxisOfAbsoluteCyndricalCSYS Get axis of rotation for axisyymettric results
GetScale Ask scale
GetSelectedCoordinateSystem Ask selected coordinate system in which results are to be presented
GetTensorComponentAbsoluteValue Get the method used when calculating the absolute values for the derived components of CAE.ResultDataType.Tensor like CAE.ResultComponent.MaximumPrincipal
GetUnit Ask result unit
InitAveragingCriteria Ask default averaging criteria
IsForcedElementResult Ask whether the result is converted as element result
IsMidnodeValueDisplayed Ask whether the result at mid nodes are ignored
MakeElementResult Make Nodal and Element-Nodal result to Element Result.
SetAbsoluteValue Set all values to absolute values.
SetAveragingCriteria Set averaging criteria
SetAxiSymmetricParameters Set Axi Symmetric Parameters type
SetBeamFilletRadius Sets the fillet radius as a fraction of the adjacent dimensions
SetBeamFillets Sets the fillets flag
SetBeamResultsInLocalCoordinateSystem Presents beam results in local coordinate system (if flag is true) or in the same coordinate system as the rest of the model
SetCalculateBeamStrResults Sets a flag to calculate beam stresses and strains from element forces and section geometry (if available).
SetComplexCriterion Set complex criteria
SetComputationType Set computing type.
SetComputeOnVisible Exclude or include elements which are not visible for Averaging, Summing, Gap/Discontinuity calculations
SetCoordinateSystem Set result coordinate system
SetCyclicSymmetricParameters Set Cyclic Symmetric Parameters type
SetDBReference Set the dB Reference value
SetDBScaling Set the dB Scaling on or off
SetDBscale Set the dB Scale value
SetDiscontinuityMethod Set discontinuity method
SetElementValueCriterion Set how element the result is defined This option is only valid for nodal and elemen-nodal result; dose not do anything for element result.
SetExcludeElementsNotVisible Exclude or include elements which are not visible for computing with sum option.
SetGenericResultType Set Result type
SetIsReferenceNode Sets the flag if the reference node will be used for result
SetLoadcaseIteration Set Current loadcase and iteration.
SetPhaseAngle Sets the phase angle at which result will be evaluated.
SetReferenceNodeLabel Sets the node label which identifies the reference node used when plotting the result
SetResultBeamSection Set section where beam results are defined
SetResultComponent Set result component
SetResultDataLocation Set FE entity where the result is defined This method has been deprecated.
SetResultDataQuantity Set result quantity This method has been deprecated.
SetResultDataSection Set section of a FE entity where the result is defined This method has been deprecated.
SetResultShellSection Set section where shell results are defined
SetResultType Set Result type This method has been deprecated.
SetRotationAxisOfAbsoluteCyndricalCSYS Set axis of rotation for axisymmetric results
SetScale Set scale.
SetSectionPlyLayer Set section, ply and layer
SetSelectedCoordinateSystem Set selected coordinate system in which results are to be presented Coordinate systems labels defined in a result file can be retrieved using CAE.Result.GetResultCoordinateSystems()
SetTensorComponentAbsoluteValue Set the method used when calculating the absolute values for the derived components of CAE.ResultDataType.Tensor like CAE.ResultComponent.MaximumPrincipal
SetUnit Set result unit

Method Detail

AskSectionPlyLayer

ResultParameters.AskSectionPlyLayer

Ask section, ply and layer

Signature AskSectionPlyLayer()

Returns:a tuple
Return type:A tuple consisting of (layer, section, ply) layer is a int. section is a int. ply is a int.

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

DisplayMidnodeValue

ResultParameters.DisplayMidnodeValue

This is display only command.

Setting this value will not change modify ResultAccess queries. But Post view will ignore midnode values during display

Signature DisplayMidnodeValue(display)

Parameters:display (bool) –

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetAbsoluteValue

ResultParameters.GetAbsoluteValue

Ask whether all values are absolute values

Signature GetAbsoluteValue()

Returns:
Return type:bool

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetAveragingCriteria

ResultParameters.GetAveragingCriteria

Ask averaging criteria.

Signature GetAveragingCriteria()

Returns:
Return type:NXOpen.CAE.ResultAveraging_Struct

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetAxiSymmetricParameters

ResultParameters.GetAxiSymmetricParameters

Get Axi Symmetric Parameters type

Signature GetAxiSymmetricParameters()

Returns:
Return type:NXOpen.CAE.AxiSymmetricParameters

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetBeamFilletRadius

ResultParameters.GetBeamFilletRadius

Return the fillet radius

Signature GetBeamFilletRadius()

Returns:
Return type:float

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetBeamFillets

ResultParameters.GetBeamFillets

Return the fillets flag

Signature GetBeamFillets()

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetBeamResultsInLocalCoordinateSystem

ResultParameters.GetBeamResultsInLocalCoordinateSystem

Identifies whether beam results are presented in local coordinate system (if true) or in the same coordinate system as the rest of the model

Signature GetBeamResultsInLocalCoordinateSystem()

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetCalculateBeamStrResults

ResultParameters.GetCalculateBeamStrResults

Ask if beam stresses and strains are calculated from element forces and section geometry

Signature GetCalculateBeamStrResults()

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetComplexCriterion

ResultParameters.GetComplexCriterion

If result is complex it returns which component is set(like real or imaginary)

Signature GetComplexCriterion()

Returns:
Return type:NXOpen.CAE.ResultComplex

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetComputationType

ResultParameters.GetComputationType

Get computing type.

Signature GetComputationType()

Returns:
Return type:NXOpen.CAE.ResultComputationType

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetComputeOnVisible

ResultParameters.GetComputeOnVisible

Ask whether elements which are not visible are to be considerd for Averaging, Summing, Gap/Discontinuity calculations

Signature GetComputeOnVisible()

Returns:
Return type:bool

New in version NX12.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetConvertedDBref

ResultParameters.GetConvertedDBref

Ask the converted DB Reference value

Signature GetConvertedDBref()

Returns:
Return type:float

New in version NX12.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetCoordinateSystem

ResultParameters.GetCoordinateSystem

Ask result coordinate system

Signature GetCoordinateSystem()

Returns:
Return type:NXOpen.CAE.ResultCoordinateSystem

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetCyclicSymmetricParameters

ResultParameters.GetCyclicSymmetricParameters

Get Cyclic Symmetric Parameters type

Signature GetCyclicSymmetricParameters()

Returns:
Return type:NXOpen.CAE.CyclicSymmetricParameters

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetDBScaling

ResultParameters.GetDBScaling

Ask whether dB Scaling is on or not

Signature GetDBScaling()

Returns:
Return type:bool

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetDBreference

ResultParameters.GetDBreference

Ask the dB Reference value

Signature GetDBreference()

Returns:
Return type:float

New in version NX11.0.0.

Deprecated since version NX12.0.0: Use NXOpen.CAE.ResultParameters.GetDbSettings() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetDBscale

ResultParameters.GetDBscale

Ask the dB Scale value

Signature GetDBscale()

Returns:
Return type:NXOpen.CAE.ResultDbScale

New in version NX11.0.0.

Deprecated since version NX12.0.0: Use NXOpen.CAE.ResultParameters.GetDbSettings() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetDbSettings

ResultParameters.GetDbSettings

Gets the dBSettings object required for dB Scaling

Signature GetDbSettings()

Returns:
Return type:NXOpen.CAE.SignalProcessingDBSettings

New in version NX12.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetDiscontinuityMethod

ResultParameters.GetDiscontinuityMethod

Ask discontinuity method

Signature GetDiscontinuityMethod()

Returns:
Return type:NXOpen.CAE.ResultDiscontinuityMethod

New in version NX12.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetElementValueCriterion

ResultParameters.GetElementValueCriterion

Ask how element the result is defined.

This option is only valid for nodal and elemen-nodal result.

Signature GetElementValueCriterion()

Returns:
Return type:NXOpen.CAE.ResultElementValueCriterion

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetExcludeElementsNotVisible

ResultParameters.GetExcludeElementsNotVisible

Ask whether elements which are not visible are consider for summation

Signature GetExcludeElementsNotVisible()

Returns:
Return type:bool

New in version NX7.5.1.

Deprecated since version NX12.0.0: Use NXOpen.CAE.ResultParameters.GetComputeOnVisible() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetGenericResultType

ResultParameters.GetGenericResultType

Ask Result type

Signature GetGenericResultType()

Returns:
Return type:NXOpen.CAE.BaseResultType

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetIsReferenceNode

ResultParameters.GetIsReferenceNode

Ask if the reference node will be used for result

Signature GetIsReferenceNode()

Returns:
Return type:bool

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetIteration

ResultParameters.GetIteration

Ask Current iteration number This method has been deprecated.

This functionality was moved to this class NXOpen.CAE.BaseResultType, which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType().

Signature GetIteration()

Returns:
Return type:int

New in version NX6.0.2.

Deprecated since version NX8.0.0: Use NXOpen.CAE.ResultParameters.GetGenericResultType() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetLoadcase

ResultParameters.GetLoadcase

Ask Current loadcase number This method has been deprecated.

This functionality was moved to this class NXOpen.CAE.BaseResultType, which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType().

Signature GetLoadcase()

Returns:
Return type:int

New in version NX6.0.2.

Deprecated since version NX8.0.0: Use NXOpen.CAE.ResultParameters.GetGenericResultType() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetPhaseAngle

ResultParameters.GetPhaseAngle

Ask phase angle.

If complex result is set to Phaseangle type then user can specify an angle at which result will be evaluated

Signature GetPhaseAngle()

Returns:
Return type:float

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetReferenceNodeLabel

ResultParameters.GetReferenceNodeLabel

Returns the node label which identifies the reference node used when plotting the result

Signature GetReferenceNodeLabel()

Returns:
Return type:int

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetResultBeamSection

ResultParameters.GetResultBeamSection

Ask section where beam results are defined

Signature GetResultBeamSection()

Returns:
Return type:NXOpen.CAE.ResultSection

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetResultComponent

ResultParameters.GetResultComponent

Ask result component

Signature GetResultComponent()

Returns:
Return type:NXOpen.CAE.ResultComponent

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetResultDataLocation

ResultParameters.GetResultDataLocation

Ask FE entity where the result is defined This method has been deprecated.

This functionality was moved to this class NXOpen.CAE.BaseResultType, which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType().

Signature GetResultDataLocation()

Returns:
Return type:NXOpen.CAE.ResultLocation

New in version NX6.0.2.

Deprecated since version NX8.0.0: Use NXOpen.CAE.BaseResultType.Location() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetResultDataQuantity

ResultParameters.GetResultDataQuantity

Ask result type This method has been deprecated.

This functionality was moved to this class NXOpen.CAE.BaseResultType, which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType().

Signature GetResultDataQuantity()

Returns:
Return type:NXOpen.CAE.ResultQuantity

New in version NX6.0.2.

Deprecated since version NX8.0.0: Use NXOpen.CAE.ResultParameters.GetGenericResultType() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetResultDataSection

ResultParameters.GetResultDataSection

Ask section of a FE entity where the result is defined This method has been deprecated.

This functionality was moved to this class NXOpen.CAE.BaseResultType, which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType().

Signature GetResultDataSection()

Returns:
Return type:NXOpen.CAE.ResultSection

New in version NX6.0.2.

Deprecated since version NX8.0.0: Use NXOpen.CAE.ResultParameters.GetGenericResultType() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetResultShellSection

ResultParameters.GetResultShellSection

Ask section where shell results are defined

Signature GetResultShellSection()

Returns:
Return type:NXOpen.CAE.ResultSection

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetResultType

ResultParameters.GetResultType

Ask Result type This method has been deprecated.

This functionality was moved to this class NXOpen.CAE.BaseResultType, which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType().

Signature GetResultType()

Returns:
Return type:NXOpen.CAE.ResultType_Struct

New in version NX6.0.2.

Deprecated since version NX8.0.0: Use NXOpen.CAE.ResultParameters.GetGenericResultType() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetRotationAxisOfAbsoluteCyndricalCSYS

ResultParameters.GetRotationAxisOfAbsoluteCyndricalCSYS

Get axis of rotation for axisyymettric results

Signature GetRotationAxisOfAbsoluteCyndricalCSYS()

Returns:
Return type:NXOpen.CAE.PostAxisymetricAxis

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetScale

ResultParameters.GetScale

Ask scale

Signature GetScale()

Returns:
Return type:float

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetSelectedCoordinateSystem

ResultParameters.GetSelectedCoordinateSystem

Ask selected coordinate system in which results are to be presented

Signature GetSelectedCoordinateSystem()

Returns:a tuple
Return type:A tuple consisting of (source, id). source is a NXOpen.CAE.ResultCoordinateSystemSource. id is a int.

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetTensorComponentAbsoluteValue

ResultParameters.GetTensorComponentAbsoluteValue

Get the method used when calculating the absolute values for the derived components of CAE.ResultDataType.Tensor like CAE.ResultComponent.MaximumPrincipal

Signature GetTensorComponentAbsoluteValue()

Returns:
Return type:NXOpen.CAE.ResultTensorDerivedAbsolute

New in version NX8.0.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

GetUnit

ResultParameters.GetUnit

Ask result unit

Signature GetUnit()

Returns:
Return type:NXOpen.Unit

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

InitAveragingCriteria

ResultParameters.InitAveragingCriteria

Ask default averaging criteria

Signature InitAveragingCriteria()

Returns:
Return type:NXOpen.CAE.ResultAveraging_Struct

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

IsForcedElementResult

ResultParameters.IsForcedElementResult

Ask whether the result is converted as element result

Signature IsForcedElementResult()

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

IsMidnodeValueDisplayed

ResultParameters.IsMidnodeValueDisplayed

Ask whether the result at mid nodes are ignored

Signature IsMidnodeValueDisplayed()

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

MakeElementResult

ResultParameters.MakeElementResult

Make Nodal and Element-Nodal result to Element Result.

Does not do anything if the result is element result already. To define what value should be used to represent an element, use NXOpen.CAE.ResultParameters.SetElementValueCriterion()

Signature MakeElementResult(elementResult)

Parameters:elementResult (bool) –

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetAbsoluteValue

ResultParameters.SetAbsoluteValue

Set all values to absolute values.

Warning: Once converted to absolute value it is not possible to revert to original values.

Signature SetAbsoluteValue(absolute)

Parameters:absolute (bool) –

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetAveragingCriteria

ResultParameters.SetAveragingCriteria

Set averaging criteria

Signature SetAveragingCriteria(average)

Parameters:average (NXOpen.CAE.ResultAveraging_Struct) –

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetAxiSymmetricParameters

ResultParameters.SetAxiSymmetricParameters

Set Axi Symmetric Parameters type

Signature SetAxiSymmetricParameters(type)

Parameters:type (NXOpen.CAE.AxiSymmetricParameters) –

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetBeamFilletRadius

ResultParameters.SetBeamFilletRadius

Sets the fillet radius as a fraction of the adjacent dimensions

Signature SetBeamFilletRadius(beamFilletRadius)

Parameters:beamFilletRadius (float) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetBeamFillets

ResultParameters.SetBeamFillets

Sets the fillets flag

Signature SetBeamFillets(beamFillets)

Parameters:beamFillets (bool) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetBeamResultsInLocalCoordinateSystem

ResultParameters.SetBeamResultsInLocalCoordinateSystem

Presents beam results in local coordinate system (if flag is true) or in the same coordinate system as the rest of the model

Signature SetBeamResultsInLocalCoordinateSystem(local)

Parameters:local (bool) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetCalculateBeamStrResults

ResultParameters.SetCalculateBeamStrResults

Sets a flag to calculate beam stresses and strains from element forces and section geometry (if available).

Does not affect other result types and element types

Signature SetCalculateBeamStrResults(calcBeamStrResults)

Parameters:calcBeamStrResults (bool) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetComplexCriterion

ResultParameters.SetComplexCriterion

Set complex criteria

Signature SetComplexCriterion(complex)

Parameters:complex (NXOpen.CAE.ResultComplex) –

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetComputationType

ResultParameters.SetComputationType

Set computing type.

Signature SetComputationType(computeType)

Parameters:computeType (NXOpen.CAE.ResultComputationType) –

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetComputeOnVisible

ResultParameters.SetComputeOnVisible

Exclude or include elements which are not visible for Averaging, Summing, Gap/Discontinuity calculations

Signature SetComputeOnVisible(excludeElements)

Parameters:excludeElements (bool) –

New in version NX12.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetCoordinateSystem

ResultParameters.SetCoordinateSystem

Set result coordinate system

Signature SetCoordinateSystem(coordinate)

Parameters:coordinate (NXOpen.CAE.ResultCoordinateSystem) –

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetCyclicSymmetricParameters

ResultParameters.SetCyclicSymmetricParameters

Set Cyclic Symmetric Parameters type

Signature SetCyclicSymmetricParameters(type)

Parameters:type (NXOpen.CAE.CyclicSymmetricParameters) –

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetDBReference

ResultParameters.SetDBReference

Set the dB Reference value

Signature SetDBReference(dBreference)

Parameters:dBreference (float) –

New in version NX11.0.0.

Deprecated since version NX12.0.0: Use NXOpen.CAE.ResultParameters.GetDbSettings() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetDBScaling

ResultParameters.SetDBScaling

Set the dB Scaling on or off

Signature SetDBScaling(dBscaling)

Parameters:dBscaling (int) –

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetDBscale

ResultParameters.SetDBscale

Set the dB Scale value

Signature SetDBscale(dbScale)

Parameters:dbScale (NXOpen.CAE.ResultDbScale) –

New in version NX11.0.0.

Deprecated since version NX12.0.0: Use NXOpen.CAE.ResultParameters.GetDbSettings() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetDiscontinuityMethod

ResultParameters.SetDiscontinuityMethod

Set discontinuity method

Signature SetDiscontinuityMethod(discontinuity)

Parameters:discontinuity (NXOpen.CAE.ResultDiscontinuityMethod) –

New in version NX12.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetElementValueCriterion

ResultParameters.SetElementValueCriterion

Set how element the result is defined This option is only valid for nodal and elemen-nodal result; dose not do anything for element result.

Signature SetElementValueCriterion(criteria)

Parameters:criteria (NXOpen.CAE.ResultElementValueCriterion) –

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetExcludeElementsNotVisible

ResultParameters.SetExcludeElementsNotVisible

Exclude or include elements which are not visible for computing with sum option.

Signature SetExcludeElementsNotVisible(excludeElements)

Parameters:excludeElements (bool) –

New in version NX7.5.1.

Deprecated since version NX12.0.0: Use NXOpen.CAE.ResultParameters.SetComputeOnVisible() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetGenericResultType

ResultParameters.SetGenericResultType

Set Result type

Signature SetGenericResultType(type)

Parameters:type (NXOpen.CAE.BaseResultType) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetIsReferenceNode

ResultParameters.SetIsReferenceNode

Sets the flag if the reference node will be used for result

Signature SetIsReferenceNode(isReferenceNode)

Parameters:isReferenceNode (bool) –

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetLoadcaseIteration

ResultParameters.SetLoadcaseIteration

Set Current loadcase and iteration.

This method has been deprecated. This functionality was moved to this class NXOpen.CAE.BaseResultType, which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType().

Signature SetLoadcaseIteration(loadcase, iteration)

Parameters:
  • loadcase (int) – loadcase number varies from 0 to N-1
  • iteration (int) – iteration number varies from 0 to N-1

New in version NX6.0.2.

Deprecated since version NX8.0.0: Use NXOpen.CAE.ResultParameters.SetGenericResultType() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetPhaseAngle

ResultParameters.SetPhaseAngle

Sets the phase angle at which result will be evaluated.

This is only value if complex result is set to the PhaseAngle type

Signature SetPhaseAngle(angle)

Parameters:angle (float) –

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetReferenceNodeLabel

ResultParameters.SetReferenceNodeLabel

Sets the node label which identifies the reference node used when plotting the result

Signature SetReferenceNodeLabel(referenceNodeLabel)

Parameters:referenceNodeLabel (int) –

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetResultBeamSection

ResultParameters.SetResultBeamSection

Set section where beam results are defined

Signature SetResultBeamSection(section)

Parameters:section (NXOpen.CAE.ResultSection) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetResultComponent

ResultParameters.SetResultComponent

Set result component

Signature SetResultComponent(component)

Parameters:component (NXOpen.CAE.ResultComponent) –

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetResultDataLocation

ResultParameters.SetResultDataLocation

Set FE entity where the result is defined This method has been deprecated.

This functionality was moved to this class NXOpen.CAE.BaseResultType, which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType().

Signature SetResultDataLocation(location)

Parameters:location (NXOpen.CAE.ResultLocation) –

New in version NX6.0.2.

Deprecated since version NX8.0.0: Use NXOpen.CAE.ResultParameters.GetGenericResultType() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetResultDataQuantity

ResultParameters.SetResultDataQuantity

Set result quantity This method has been deprecated.

This functionality was moved to this class NXOpen.CAE.BaseResultType, which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType().

Signature SetResultDataQuantity(quantity)

Parameters:quantity (NXOpen.CAE.ResultQuantity) –

New in version NX6.0.2.

Deprecated since version NX8.0.0: Use NXOpen.CAE.ResultParameters.GetGenericResultType() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetResultDataSection

ResultParameters.SetResultDataSection

Set section of a FE entity where the result is defined This method has been deprecated.

This functionality was moved to this class NXOpen.CAE.BaseResultType, which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType().

Signature SetResultDataSection(section)

Parameters:section (NXOpen.CAE.ResultSection) –

New in version NX6.0.2.

Deprecated since version NX8.0.0: Use NXOpen.CAE.ResultParameters.GetGenericResultType() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetResultShellSection

ResultParameters.SetResultShellSection

Set section where shell results are defined

Signature SetResultShellSection(section)

Parameters:section (NXOpen.CAE.ResultSection) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetResultType

ResultParameters.SetResultType

Set Result type This method has been deprecated.

This functionality was moved to this class NXOpen.CAE.BaseResultType, which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType().

Signature SetResultType(type)

Parameters:type (NXOpen.CAE.ResultType_Struct) –

New in version NX6.0.2.

Deprecated since version NX8.0.0: Use NXOpen.CAE.ResultParameters.GetGenericResultType() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetRotationAxisOfAbsoluteCyndricalCSYS

ResultParameters.SetRotationAxisOfAbsoluteCyndricalCSYS

Set axis of rotation for axisymmetric results

Signature SetRotationAxisOfAbsoluteCyndricalCSYS(axis)

Parameters:axis (NXOpen.CAE.PostAxisymetricAxis) –

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetScale

ResultParameters.SetScale

Set scale.

This will affect all subsequent result query.

Signature SetScale(scale)

Parameters:scale (float) –

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetSectionPlyLayer

ResultParameters.SetSectionPlyLayer

Set section, ply and layer

Signature SetSectionPlyLayer(section, ply, layer)

Parameters:
  • section (int) –
  • ply (int) –
  • layer (int) –

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetSelectedCoordinateSystem

ResultParameters.SetSelectedCoordinateSystem

Set selected coordinate system in which results are to be presented Coordinate systems labels defined in a result file can be retrieved using CAE.Result.GetResultCoordinateSystems()

Signature SetSelectedCoordinateSystem(source, id)

Parameters:

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetTensorComponentAbsoluteValue

ResultParameters.SetTensorComponentAbsoluteValue

Set the method used when calculating the absolute values for the derived components of CAE.ResultDataType.Tensor like CAE.ResultComponent.MaximumPrincipal

Signature SetTensorComponentAbsoluteValue(absolute)

Parameters:absolute (NXOpen.CAE.ResultTensorDerivedAbsolute) –

New in version NX8.0.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)

SetUnit

ResultParameters.SetUnit

Set result unit

Signature SetUnit(unit)

Parameters:unit (NXOpen.Unit) –

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”) OR sc_results_viewer (” Simcenter Results Viewer”)